MDKSA-2004:039: Updated mc packages fix vulnerabilities
Posted on: 04/30/2004 06:44 AM

Updated mc packages has been released for Mandrakelinux
_______________________________________________________________________

Mandrakelinux Security Update Advisory
_______________________________________________________________________

Package name: mc
Advisory ID: MDKSA-2004:039
Date: April 29th, 2004

Affected versions: 10.0, 9.1, 9.2, Corporate Server 2.1
______________________________________________________________________

Problem Description:

Several vulnerabilities in Midnight Commander were found by Jacub Jelinek. This includes several buffer overflows (CAN-2004-0226), as well as a format string issue (CAN-2004-0232), and an issue with temporary file and directory creation (CAN-2004-0231). Most of the included fixes are backports from CVS, done by Andrew V. Samoilov and Pavel Roskin.

The updated packages are patched to correct these problems.

_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0226
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0231
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0232
______________________________________________________________________

Updated Packages:

Mandrakelinux 10.0:
0808731d1842adfa0ebddd0986b3210f 10.0/RPMS/mc-4.6.0-6.1.100mdk.i586.rpm
aaab8b2196c2c8a9abfda7747d8137a2 10.0/SRPMS/mc-4.6.0-6.1.100mdk.src.rpm

Corporate Server 2.1:
762b49ecdb47903842749008db97fa42 corporate/2.1/RPMS/mc-4.6.0-4.2.C21mdk.i586.rpm
0dcf3d4688044ac124e85e77a88b8fe1 corporate/2.1/SRPMS/mc-4.6.0-4.2.C21mdk.src.rpm

Corporate Server 2.1/x86_64:
3bb3b359b6ef294f42918d4c2a25c607 x86_64/corporate/2.1/RPMS/mc-4.6.0-4.2.C21mdk.x86_64.rpm
0dcf3d4688044ac124e85e77a88b8fe1 x86_64/corporate/2.1/SRPMS/mc-4.6.0-4.2.C21mdk.src.rpm

Mandrakelinux 9.1:
df5331752d6ba8d340bc2eb02d3dfc8f 9.1/RPMS/mc-4.6.0-4.2.91mdk.i586.rpm
7d2552f8e8e482c3507e6a83a13205cc 9.1/SRPMS/mc-4.6.0-4.2.91mdk.src.rpm

Mandrakelinux 9.1/PPC:
2891797fb772ad1ddb03e61b93acef94 ppc/9.1/RPMS/mc-4.6.0-4.2.91mdk.ppc.rpm
7d2552f8e8e482c3507e6a83a13205cc ppc/9.1/SRPMS/mc-4.6.0-4.2.91mdk.src.rpm

Mandrakelinux 9.2:
0617b22bb2db89c964a881cd79efbdaa 9.2/RPMS/mc-4.6.0-4.2.92mdk.i586.rpm
3ca594cfc21ff50089d5eeafb6014766 9.2/SRPMS/mc-4.6.0-4.2.92mdk.src.rpm

Mandrakelinux 9.2/AMD64:
71c3280f596e7107e6325f4763469664 amd64/9.2/RPMS/mc-4.6.0-4.2.92mdk.amd64.rpm
3ca594cfc21ff50089d5eeafb6014766 amd64/9.2/SRPMS/mc-4.6.0-4.2.92mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrakeUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

A list of FTP mirrors can be obtained from:

http://www.mandrakesecure.net/en/ftp.php

All packages are signed by Mandrakesoft for security. You can obtain the GPG public key of the Mandrakelinux Security Team by executing:

gpg --recv-keys --keyserver www.mandrakesecure.net 0x22458A98

Please be aware that sometimes it takes the mirrors a few hours to update.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/mdksa_2004039_updated_mc_packages_fix_vulnerabilities.html)